package com.futu.course.controller;

import com.baomidou.mybatisplus.annotation.TableField;
import com.futu.course.domain.SignDto;
import com.futu.course.vo.ResultVo;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;
import java.util.TreeMap;

@RestController
@RequestMapping("sign")
public class SignController {

    private static  final String APP_SECRET="123";
    @PostMapping("getSign")
    public ResultVo getSign(@RequestBody SignDto dto, HttpServletRequest request)
    {
        String reqId = request.getHeader("reqId");
        String reqTime = request.getHeader("reqTime");
        String appId = request.getHeader("appId");
        TreeMap<String,String>map=new TreeMap<>();
        map.put("reqId",reqId);
        map.put("reqTime",reqTime);
        map.put("appId",appId);
        map.put("goodsId",dto.getGoodsId());
        StringBuilder sb = new StringBuilder();
        for (Map.Entry<String, String> entry : map.entrySet()) {
            sb.append(entry.getKey()).append(entry.getValue()).append("&");
        }
        String sign = sb.substring(0, sb.length() - 1) + APP_SECRET;
        if (!sign.equals(dto.getSign()))
        {
            return ResultVo.fail(1002,"失败");
        }
        return ResultVo.success("验签成功","商品名称");



    }
}
