package com.futu.course.controller;

import com.futu.course.domain.Goods;
import com.futu.course.dto.GoodsDto;
import com.futu.course.service.GoodsService;
import com.futu.course.utils.SnowflakeIdWorker;
import com.futu.course.vo.ResultVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;

@RestController
@RequestMapping("goods")
public class GoodsController {



    @Autowired
    private GoodsService goodsService;
    @PostMapping("add")
    public ResultVo add(@RequestBody GoodsDto dto)
    {
        SnowflakeIdWorker worker=new SnowflakeIdWorker(1,1);
        Goods goods = new Goods();
        goods.setGoodsName(dto.getGoodName());
         goods.setId(worker.nextId());
         goods.setGoodsImg(dto.getGoodsImg());
         goods.setContent(dto.getContent());
         goods.setCreatedTimee(new Date());
         goods.setDescruptions(dto.getDesciption());
        boolean b = goodsService.save(goods);
        return b?ResultVo.success("添加成功",goods):ResultVo.fail(500,"添加失败");
    }
}
